if altref == 0 && altprice==0
   load output/main_col2.mat
elseif altref == 1 && altprice==0
   load output/altref_col2.mat
else
   load output/altprice_col2.mat
end

tot_spend = [sum(spend_p1(period_p1==1));sum(spend_p1(period_p1==2))];
K = max(sqrt(2*beta*(1.75*10^-10)*tot_spend));
%K = 0.02;

arg = [-K:.001:K]';
L = length(arg);

alpha_p = solution_p(1,1);
theta_p = solution_p(1,2);
gamma = solution_p(1,3);
delta = solution_p(1,4);
sigma_sqnu = solution_p(1,5);
beta = solution_p(1,12);
sigma_sqxi = exp(solution_p(1,15));
s_hat_aux = solution_p(1,11);
s_hat_r = solution_p(1,13:14)';
s_hat = [s_hat_aux(1,1);s_hat_aux(1,1)];
s_hat1 = s_hat_r;
s_hat2 = s_hat1 - s_hat; 

x0 = [s_emp(4:5,1);s_emp(4:5,2)];
s_real_orig = nslant_print(x0,0,alpha_p,theta_p,gamma,delta,sigma_sqnu,s_hat1,beta,s_hat2,sigma_sqxi,lalpha_resrandp,...
    xi_resrandp1,xi_resrandp2,xi_resrandpr,size_cont_p1,size_cont_p2,spend_p1,pub_p1,period_p1);
V_cf_mno = zeros(L,2);
V_cf_nol = zeros(L,2);
for i = 1:L
alpha_real = zeros(size_p1,M); 
alpha_cf_mno = zeros(size_p1,M); 
alpha_cf_nol = zeros(size_p1,M); 

dalpha_real_aux = zeros(size_p1,M);
for j = 1:M 
lalpha_ressimp = sqrt(sigma_sqnu)*(1./sqrt(spend_p1)).*lalpha_resrandp(:,j);

xi_resrandp1_aug = xi_resrandp1 - xi_resrandpr;
xi_resrandp2_aug = xi_resrandp2 - xi_resrandpr;

xi_ressimp = sqrt(sigma_sqxi/2)*[mean(xi_resrandp1_aug(1:size_cont_p1,j));mean(xi_resrandp1_aug(1+size_cont_p1:size_cont_p1+size_cont_p2,j));...
          mean(xi_resrandp2_aug(1:size_cont_p1,j));mean(xi_resrandp2_aug(1+size_cont_p1:size_cont_p1+size_cont_p2,j))];

s_real = s_real_orig + xi_ressimp;
s_cf_mno_orig = [repmat(arg(i,1),2,1);s_real_orig(3:4,1)];
s_cf_nol_orig = [s_real_orig(1:2,1);repmat(arg(i,1),2,1)];

s_cf_mno = s_cf_mno_orig + xi_ressimp;
s_cf_nol = s_cf_nol_orig + xi_ressimp;

s_real1 = [(period_p1==1),(period_p1==2)]*s_real(1:2,1);
s_real2 = [(period_p1==1),(period_p1==2)]*s_real(3:4,1);

s_cf_mno_1 = [(period_p1==1),(period_p1==2)]*s_cf_mno(1:2,1);
s_cf_mno_2 = [(period_p1==1),(period_p1==2)]*s_cf_mno(3:4,1);

s_cf_nol_1 = [(period_p1==1),(period_p1==2)]*s_cf_nol(1:2,1);
s_cf_nol_2 = [(period_p1==1),(period_p1==2)]*s_cf_nol(3:4,1);

delta_p = [(period_p1==1),(period_p1==2)]*[delta;0]; 
lalpha_real = alpha_p*ones(size_p1,1)+theta_p*pub_p1+gamma*(s_real1-s_real2)+delta_p.*s_real1.*pub_p1 + lalpha_ressimp;
lalpha_cf_mno = alpha_p*ones(size_p1,1)+theta_p*pub_p1+gamma*(s_cf_mno_1-s_cf_mno_2)+delta_p.*s_cf_mno_1.*pub_p1 + lalpha_ressimp;
lalpha_cf_nol = alpha_p*ones(size_p1,1)+theta_p*pub_p1+gamma*(s_cf_nol_1-s_cf_nol_2)+delta_p.*s_cf_nol_1.*pub_p1 + lalpha_ressimp;

alpha_real(:,j) = exp(lalpha_real)./(ones(size_p1,1)+exp(lalpha_real));
alpha_cf_mno(:,j) = exp(lalpha_cf_mno)./(ones(size_p1,1)+exp(lalpha_cf_mno));
alpha_cf_nol(:,j) = exp(lalpha_cf_nol)./(ones(size_p1,1)+exp(lalpha_cf_nol));

dalpha_real_aux(:,j) = alpha_real(:,j).*(ones(size_p1,1)-alpha_real(:,j)).*(ones(size_p1,1)-2*alpha_real(:,j));
end      
revenue_real_mno = mean(alpha_real,2).*spend_p1;
revenue_cf_mno = mean(alpha_cf_mno,2).*spend_p1;

revenue_real_nol = (1-mean(alpha_real,2)).*spend_p1;
revenue_cf_nol = (1-mean(alpha_cf_nol,2)).*spend_p1;

cost_cf_mno = 0.5*(s_cf_mno_orig(1:2,1)-s_hat1).^2;
cost_cf_nol = 0.5*(s_cf_nol_orig(3:4,1)-s_hat2).^2; 

if i == 1
dalpha_real = beta*(1.75*10^-10)*(gamma*ones(size_p1,1)+delta_p.*pub_p1).^2.*mean(dalpha_real_aux,2).*spend_p1;
equilibrium_cond_p1 = sum(dalpha_real(period_p1==1));
equilibrium_cond_p2= sum(dalpha_real(period_p1==2));
end

V_real_mno= (beta*(1.75*10^-10)*[sum(revenue_real_mno(period_p1==1));sum(revenue_real_mno(period_p1==2))]-0.5*(s_real(1:2,1)-s_hat1).^2)';
V_real_nol= (beta*(1.75*10^-10)*[sum(revenue_real_nol(period_p1==1));sum(revenue_real_nol(period_p1==2))]-0.5*(s_real(3:4,1)-s_hat2).^2)';
V_cf_mno(i,:)= (beta*(1.75*10^-10)*[sum(revenue_cf_mno(period_p1==1));sum(revenue_cf_mno(period_p1==2))]-cost_cf_mno)';
V_cf_nol(i,:)= (beta*(1.75*10^-10)*[sum(revenue_cf_nol(period_p1==1));sum(revenue_cf_nol(period_p1==2))]-cost_cf_nol)';
end

s_mno_sort1 = sortrows([-V_cf_mno(:,1),arg],1);
s_mno_sort2 = sortrows([-V_cf_mno(:,2),arg],1);
s_mno_best = [s_mno_sort1(1,2);s_mno_sort2(1,2)];

s_nol_sort1 = sortrows([-V_cf_nol(:,1),arg],1);
s_nol_sort2 = sortrows([-V_cf_nol(:,2),arg],1);
s_nol_best = [s_nol_sort1(1,2);s_nol_sort2(1,2)];

hold off
plot(arg',V_cf_mno(:,1),'r-');
hold on
plot(arg',V_cf_mno(:,2),'b-');
y = ylim;
plot([s_real_orig(1,1) s_real_orig(1,1)],[y(1),y(2)],'r--','LineWidth',.5)
plot([s_real_orig(2,1) s_real_orig(2,1)],[y(1),y(2)],'b--','LineWidth',.5)
plot([s_mno_best(1,1) s_mno_best(1,1)],[y(1),y(2)],'r:','LineWidth',.5)
plot([s_mno_best(2,1) s_mno_best(2,1)],[y(1),y(2)],'b:','LineWidth',.5)

if altref == 0&&altprice==0
   print -dpdf output/eq_tab4_col2_magyarnemzet.pdf 
elseif altref == 1&&altprice==0
   print -dpdf output/eq_tab10_col2_magyarnemzet.pdf 
else
    print -dpdf output/eq_tab11_col2_magyarnemzet.pdf  
end

hold off
plot(arg',V_cf_nol(:,1),'r-');
hold on
plot(arg',V_cf_nol(:,2),'b-');
y = ylim;
plot([s_real_orig(3,1) s_real_orig(3,1)],[y(1),y(2)],'r--','LineWidth',.5)
plot([s_real_orig(4,1) s_real_orig(4,1)],[y(1),y(2)],'b--','LineWidth',.5)
plot([s_nol_best(1,1) s_nol_best(1,1)],[y(1),y(2)],'r:','LineWidth',.5)
plot([s_nol_best(2,1) s_nol_best(2,1)],[y(1),y(2)],'b:','LineWidth',.5)
if altref == 0&&altprice==0
   print -dpdf output/eq_tab4_col2_nepszabadsag.pdf 
elseif altref == 1&&altprice==0
   print -dpdf output/eq_tab10_col2_nepszabadsag.pdf 
else
    print -dpdf output/eq_tab11_col2_nepszabadsag.pdf  
end

Equilibrium2 = [NaN;NaN;NaN;equilibrium_cond_p1;equilibrium_cond_p2];
clearvars -except Equilibrium1 Equilibrium2 altref altprice