function[s,fval]=nslant_online_bothcap(x0,alpha,theta,gamma,delta,sigma_sqnu,s_hat1,beta,s_hat2,sigma_sqxi_aux,lalpha_resrando,...
    xi_resrando1_aux,xi_resrando2_aux,xi_resrandor,size_cont1,size_cont2,size_cont3,spend,pub,period)

%x0 = [0;0.005;0.015];
[s,fval] = fsolve(@foc,x0);
%[s,fval] = fminunc(@foc,x0);

function[y]=foc(x)
size = length(period);   
size1 = length(period(period==1));
size2 = length(period(period==2));
size3 = length(period(period==3));
M = length(lalpha_resrando(1,:));
alpha_spend_aux = zeros(size,M);
% xi_res = zeros(6,1); 
for j = 1:M
xi_resrando1 = xi_resrando1_aux - xi_resrandor;
xi_resrando2 = xi_resrando2_aux - xi_resrandor;
sigma_sqxi = sigma_sqxi_aux/2;

xi_res = sqrt(sigma_sqxi)*[mean(xi_resrando1(1:size_cont1,j));mean(xi_resrando1(1+size_cont1:size_cont1+size_cont2,j));...
          mean(xi_resrando1(1+size_cont1+size_cont2:size_cont1+size_cont2+size_cont3,j));...
          mean(xi_resrando2(1:size_cont1,j));mean(xi_resrando2(1+size_cont1:size_cont1+size_cont2,j));...
          mean(xi_resrando2(1+size_cont1+size_cont2:size_cont1+size_cont2+size_cont3,j))];

slant1 = [x(1)*ones(size1,1);x(2)*ones(size2,1);x(3)*ones(size3,1)]+...
    [xi_res(1,1)*ones(size1,1);xi_res(2,1)*ones(size2,1);xi_res(3,1)*ones(size3,1)];

slant2 = [x(4)*ones(size1,1);x(5)*ones(size2,1);x(6)*ones(size3,1)]+...
    [xi_res(4,1)*ones(size1,1);xi_res(5,1)*ones(size2,1);xi_res(6,1)*ones(size3,1)];

lalpha_res = sqrt(sigma_sqnu)*(1./sqrt(spend)).*lalpha_resrando(:,j);
lalpha = alpha*ones(size,1) + gamma*(slant1-slant2) + theta*pub + delta*pub.*(slant1-slant2) + lalpha_res;
a = exp(lalpha)./(ones(size,1)+exp(lalpha));
alpha_spend_aux = a.*(ones(size,1)-a);
end
alpha_spend_j = mean(alpha_spend_aux,2).*spend;
alpha_G_spend_j = alpha_spend_j.*pub;

alpha_spend = [sum(alpha_spend_j(period==1));...
                 sum(alpha_spend_j(period==2));...
                 sum(alpha_spend_j(period==3))];

alpha_G_spend = [sum(alpha_G_spend_j(period==1));...
                 sum(alpha_G_spend_j(period==2));...
                 sum(alpha_G_spend_j(period==3))];

% y = [s_hat + beta*5.28*(10^-9)*delta*alpha_G_spend-x(1:3,1);...
%      s_hat_r + beta*5.28*(10^-9)*(delta*alpha_G_spend+gamma*alpha_spend)-x(4:6,1)];

y = [s_hat1 + beta*5.28*(10^-11)*(delta*alpha_G_spend+gamma*alpha_spend)-x(1:3,1);...
     s_hat2 + beta*5.28*(10^-11)*(delta*alpha_G_spend+gamma*alpha_spend)-x(4:6,1)];

%y = sum((s_hat + beta*((delta-gamma1)*alpha_G_spend-gamma1*alpha_P_spend)-x).^2);
end
end