if altref == 0&&altprice==0
   load output/main_col1.mat
elseif altref == 1&&altprice==0
   load output/altref_col1.mat
else
   load output/altprice_col1.mat 
end

tot_spend = [sum(spend_o1(period_o1==1));sum(spend_o1(period_o1==2));sum(spend_o1(period_o1==3))];
K = max(sqrt(2*beta*(5.28*10^-11)*tot_spend));
%K = 0.02;

arg = [-K:.001:K]';
L = length(arg);

alpha_o = solution_o(1,1);
theta_o = solution_o(1,2);
gamma = solution_o(1,3);
delta = solution_o(1,4);
sigma_sqnu = solution_o(1,5);
beta = solution_o(1,15);
sigma_sqxi = exp(solution_o(1,19));
s_hat_aux = solution_o(1,13:14)';
s_hat_r = solution_o(1,16:18)';
s_hat = [s_hat_aux(1,1);s_hat_aux(1,1);s_hat_aux(2,1)];
s_hat1 = s_hat_r;
s_hat2 = s_hat1 - s_hat; 

x0 = [s_emp(1:3,1);s_emp(1:3,2)];
s_real_orig = nslant_online(x0,alpha_o,theta_o,gamma,delta,sigma_sqnu,s_hat1,beta,s_hat2,sigma_sqxi,lalpha_resrando,...
    xi_resrando1,xi_resrando2,xi_resrandor,size_cont_o1,size_cont_o2,size_cont_o3,spend_o1,pub_o1,period_o1);
V_cf_ori = zeros(L,3);
V_cf_ind = zeros(L,3);
for i = 1:L
alpha_real = zeros(size_o1,M); 
alpha_cf_ori = zeros(size_o1,M); 
alpha_cf_ind = zeros(size_o1,M); 

% cost_cf_ori_aux = zeros(3,M);
% cost_cf_ind_aux = zeros(3,M);

dalpha_real_aux = zeros(size_o1,M);
for j = 1:M 
lalpha_ressimo = sqrt(sigma_sqnu)*(1./sqrt(spend_o1)).*lalpha_resrando(:,j);

xi_resrando1_aug = xi_resrando1 - xi_resrandor;
xi_resrando2_aug = xi_resrando2 - xi_resrandor;

xi_ressimo = sqrt(sigma_sqxi/2)*[mean(xi_resrando1_aug(1:size_cont_o1,j));mean(xi_resrando1_aug(1+size_cont_o1:size_cont_o1+size_cont_o2,j));...
          mean(xi_resrando1_aug(1+size_cont_o1+size_cont_o2:size_cont_o1+size_cont_o2+size_cont_o3,j));...
          mean(xi_resrando2_aug(1:size_cont_o1,j));mean(xi_resrando2_aug(1+size_cont_o1:size_cont_o1+size_cont_o2,j));...
          mean(xi_resrando2_aug(1+size_cont_o1+size_cont_o2:size_cont_o1+size_cont_o2+size_cont_o3,j))];

s_real = s_real_orig + xi_ressimo;
s_cf_ori_orig = [repmat(arg(i,1),3,1);s_real_orig(4:6,1)];
s_cf_ind_orig = [s_real_orig(1:3,1);repmat(arg(i,1),3,1)];

s_cf_ori = s_cf_ori_orig + xi_ressimo;
s_cf_ind = s_cf_ind_orig + xi_ressimo;

s_real1 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_real(1:3,1);
s_real2 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_real(4:6,1);

s_cf_ori_1 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_cf_ori(1:3,1);
s_cf_ori_2 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_cf_ori(4:6,1);

s_cf_ind_1 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_cf_ind(1:3,1);
s_cf_ind_2 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_cf_ind(4:6,1);

lalpha_real = alpha_o*ones(size_o1,1)+theta_o*pub_o1+gamma*(s_real1-s_real2)+delta*s_real1.*pub_o1 + lalpha_ressimo;
lalpha_cf_ori = alpha_o*ones(size_o1,1)+theta_o*pub_o1+gamma*(s_cf_ori_1-s_cf_ori_2)+delta*s_cf_ori_1.*pub_o1 + lalpha_ressimo;
lalpha_cf_ind = alpha_o*ones(size_o1,1)+theta_o*pub_o1+gamma*(s_cf_ind_1-s_cf_ind_2)+delta*s_cf_ind_1.*pub_o1 + lalpha_ressimo;

alpha_real(:,j) = exp(lalpha_real)./(ones(size_o1,1)+exp(lalpha_real));
alpha_cf_ori(:,j) = exp(lalpha_cf_ori)./(ones(size_o1,1)+exp(lalpha_cf_ori));
alpha_cf_ind(:,j) = exp(lalpha_cf_ind)./(ones(size_o1,1)+exp(lalpha_cf_ind));

%cost_cf_ori_aux(:,j) = 0.5*(s_cf_ori(1:3,1)-s_hat1).^2;
%cost_cf_ind_aux(:,j) = 0.5*(s_cf_ind(4:6,1)-s_hat2).^2;

dalpha_real_aux(:,j) = alpha_real(:,j).*(ones(size_o1,1)-alpha_real(:,j)).*(ones(size_o1,1)-2*alpha_real(:,j));
end      
revenue_real_ori = mean(alpha_real,2).*spend_o1;
revenue_cf_ori = mean(alpha_cf_ori,2).*spend_o1;
revenue_real_ind = (1-mean(alpha_real,2)).*spend_o1;
revenue_cf_ind = (1-mean(alpha_cf_ind,2)).*spend_o1;

% cost_cf_ori = mean(cost_cf_ori_aux,2);
% cost_cf_ind = mean(cost_cf_ind_aux,2);
cost_cf_ori= 0.5*(s_cf_ori_orig(1:3,1)-s_hat1).^2;
cost_cf_ind = 0.5*(s_cf_ind_orig(4:6,1)-s_hat2).^2;

if i == 1
dalpha_real = beta*(5.28*10^-11)*(gamma*ones(size_o1,1)+delta*pub_o1).^2.*mean(dalpha_real_aux,2).*spend_o1;
equilibrium_cond_o1 = sum(dalpha_real(period_o1==1));
equilibrium_cond_o2= sum(dalpha_real(period_o1==2));
equilibrium_cond_o3 = sum(dalpha_real(period_o1==3));
end

V_real_ori= (beta*(5.28*10^-11)*[sum(revenue_real_ori(period_o1==1));sum(revenue_real_ori(period_o1==2));...
    sum(revenue_real_ori(period_o1==3))]-0.5*(s_real(1:3,1)-s_hat1).^2)';
V_real_ind= (beta*(5.28*10^-11)*[sum(revenue_real_ind(period_o1==1));sum(revenue_real_ind(period_o1==2));...
    sum(revenue_real_ind(period_o1==3))]-0.5*(s_real(4:6,1)-s_hat2).^2)';
V_cf_ori(i,:)= (beta*(5.28*10^-11)*[sum(revenue_cf_ori(period_o1==1));sum(revenue_cf_ori(period_o1==2));...
    sum(revenue_cf_ori(period_o1==3))]-cost_cf_ori)';
V_cf_ind(i,:)= (beta*(5.28*10^-11)*[sum(revenue_cf_ind(period_o1==1));sum(revenue_cf_ind(period_o1==2));...
    sum(revenue_cf_ind(period_o1==3))]-cost_cf_ind)';
end

s_ori_sort1 = sortrows([-V_cf_ori(:,1),arg],1);
s_ori_sort2 = sortrows([-V_cf_ori(:,2),arg],1);
s_ori_sort3 = sortrows([-V_cf_ori(:,3),arg],1);
s_ori_best = [s_ori_sort1(1,2);s_ori_sort2(1,2);s_ori_sort3(1,2)];

s_ind_sort1 = sortrows([-V_cf_ind(:,1),arg],1);
s_ind_sort2 = sortrows([-V_cf_ind(:,2),arg],1);
s_ind_sort3 = sortrows([-V_cf_ind(:,3),arg],1);
s_ind_best = [s_ind_sort1(1,2);s_ind_sort2(1,2);s_ind_sort3(1,2)];


hold off
plot(arg',V_cf_ori(:,1),'r-');
hold on
plot(arg',V_cf_ori(:,2),'b-');
plot(arg',V_cf_ori(:,3),'k-');
y = ylim;
plot([s_real_orig(1,1) s_real_orig(1,1)],[y(1),y(2)],'r--','LineWidth',.5)
plot([s_real_orig(2,1) s_real_orig(2,1)],[y(1),y(2)],'b--','LineWidth',.5)
plot([s_real_orig(3,1) s_real_orig(3,1)],[y(1),y(2)],'k--','LineWidth',.5)
plot([s_ori_best(1,1) s_ori_best(1,1)],[y(1),y(2)],'r:','LineWidth',.5)
plot([s_ori_best(2,1) s_ori_best(2,1)],[y(1),y(2)],'b:','LineWidth',.5)
plot([s_ori_best(3,1) s_ori_best(3,1)],[y(1),y(2)],'k:','LineWidth',.5)

if altref == 0&&altprice==0
   print -dpdf output/eq_tab4_col1_origo.pdf 
elseif altref == 1&&altprice==0
   print -dpdf output/eq_tab10_col1_origo.pdf 
else
    print -dpdf output/eq_tab11_col1_origo.pdf  
end

hold off
plot(arg',V_cf_ind(:,1),'r-');
hold on
plot(arg',V_cf_ind(:,2),'b-');
plot(arg',V_cf_ind(:,3),'k-');
y = ylim;
plot([s_real_orig(4,1) s_real_orig(4,1)],[y(1),y(2)],'r--','LineWidth',.5)
plot([s_real_orig(5,1) s_real_orig(5,1)],[y(1),y(2)],'b--','LineWidth',.5)
plot([s_real_orig(6,1) s_real_orig(6,1)],[y(1),y(2)],'k--','LineWidth',.5)
plot([s_ind_best(1,1) s_ind_best(1,1)],[y(1),y(2)],'r:','LineWidth',.5)
plot([s_ind_best(2,1) s_ind_best(2,1)],[y(1),y(2)],'b:','LineWidth',.5)
plot([s_ind_best(3,1) s_ind_best(3,1)],[y(1),y(2)],'k:','LineWidth',.5)
if altref == 0&&altprice==0
   print -dpdf output/eq_tab4_col1_index.pdf 
elseif altref == 1&&altprice==0
   print -dpdf output/eq_tab10_col1_index.pdf 
else
    print -dpdf output/eq_tab11_col1_index.pdf  
end

Equilibrium1 = [equilibrium_cond_o1;equilibrium_cond_o2;equilibrium_cond_o3;NaN;NaN];
clearvars -except Equilibrium1 altref altprice
