if altmod ==0
if altref == 0 && altprice==0
   load output/main_col3.mat
elseif altref == 1 && altprice==0
   load output/altref_col3.mat
else
   load output/altprice_col3.mat 
end
else
if altref == 0 && altprice == 0
   load output/main_col4.mat
elseif altref == 1 && altprice == 0
   load output/altref_col4.mat
else
   load output/altprice_col4.mat
end
end

tot_spend = [sum(spend_o1(period_o1==1));sum(spend_o1(period_o1==2));sum(spend_o1(period_o1==3))];
K = max(sqrt(2*beta*(5.28*10^-11)*tot_spend));
%K = 0.02;

arg = [-K:.001:K]';
L = length(arg);

alpha_o = solution(1,1);
alpha_p = solution(1,2);
theta_o = solution(1,3);
theta_p = solution(1,4);
gamma = solution(1,5);
delta = solution(1,6);
sigma_sqnu = solution(1,7);
if altmod == 0
 beta = solution(1,21);
 sigma_sqxi = exp(solution(1,27));
 s_hat_aux = solution(1,18:20)';
 s_hat_r = solution(1,22:26)';
else
 beta = solution(1,23);
 sigma_sqxi = exp(solution(1,29));
 s_hat_aux = solution(1,19:22)';
 s_hat_r = solution(1,24:28)';
end

s_hat_o = [s_hat_aux(1,1);s_hat_aux(1,1);s_hat_aux(2,1)];
s_hat_o1 = s_hat_r(1:3,1);
s_hat_o2 = s_hat_o1 - s_hat_o; 

if altmod == 0
s_hat_p = [s_hat_aux(3,1);s_hat_aux(3,1)];
else
s_hat_p = [s_hat_aux(3,1);s_hat_aux(4,1)];
end

s_hat_p1 = s_hat_r(4:5,1);
s_hat_p2 = s_hat_p1 - s_hat_p; 

x0o = [s_emp(1:3,1);s_emp(1:3,2)];
s_real_orig_o = nslant_online(x0o,alpha_o,theta_o,gamma,delta,sigma_sqnu,s_hat_o1,beta,s_hat_o2,sigma_sqxi,lalpha_resrando,...
    xi_resrando1,xi_resrando2,xi_resrandor,size_cont_o1,size_cont_o2,size_cont_o3,spend_o1,pub_o1,period_o1);

x0p = [s_emp(4:5,1);s_emp(4:5,2)];
s_real_orig_p = nslant_print(x0p,0,alpha_p,theta_p,gamma,delta,sigma_sqnu,s_hat_p1,beta,s_hat_p2,sigma_sqxi,lalpha_resrandp,...
    xi_resrandp1,xi_resrandp2,xi_resrandpr,size_cont_p1,size_cont_p2,spend_p1,pub_p1,period_p1);


V_cf_ori = zeros(L,3);
V_cf_ind = zeros(L,3);
V_cf_mno = zeros(L,2);
V_cf_nol = zeros(L,2);
for i = 1:L
alpha_real_o = zeros(size_o1,M); 
alpha_cf_ori = zeros(size_o1,M); 
alpha_cf_ind = zeros(size_o1,M); 

alpha_real_p = zeros(size_p1,M); 
alpha_cf_mno = zeros(size_p1,M); 
alpha_cf_nol = zeros(size_p1,M); 

dalpha_real_o_aux = zeros(size_o1,M);
dalpha_real_p_aux = zeros(size_p1,M);
for j = 1:M 
lalpha_ressimo = sqrt(sigma_sqnu)*(1./sqrt(spend_o1)).*lalpha_resrando(:,j);

xi_resrando1_aug = xi_resrando1 - xi_resrandor;
xi_resrando2_aug = xi_resrando2 - xi_resrandor;

xi_ressimo = sqrt(sigma_sqxi/2)*[mean(xi_resrando1_aug(1:size_cont_o1,j));mean(xi_resrando1_aug(1+size_cont_o1:size_cont_o1+size_cont_o2,j));...
          mean(xi_resrando1_aug(1+size_cont_o1+size_cont_o2:size_cont_o1+size_cont_o2+size_cont_o3,j));...
          mean(xi_resrando2_aug(1:size_cont_o1,j));mean(xi_resrando2_aug(1+size_cont_o1:size_cont_o1+size_cont_o2,j));...
          mean(xi_resrando2_aug(1+size_cont_o1+size_cont_o2:size_cont_o1+size_cont_o2+size_cont_o3,j))];

lalpha_ressimp = sqrt(sigma_sqnu)*(1./sqrt(spend_p1)).*lalpha_resrandp(:,j);

xi_resrandp1_aug = xi_resrandp1 - xi_resrandpr;
xi_resrandp2_aug = xi_resrandp2 - xi_resrandpr;

xi_ressimp = sqrt(sigma_sqxi/2)*[mean(xi_resrandp1_aug(1:size_cont_p1,j));mean(xi_resrandp1_aug(1+size_cont_p1:size_cont_p1+size_cont_p2,j));...
          mean(xi_resrandp2_aug(1:size_cont_p1,j));mean(xi_resrandp2_aug(1+size_cont_p1:size_cont_p1+size_cont_p2,j))];
      
s_real_o = s_real_orig_o + xi_ressimo;
s_cf_ori_orig = [repmat(arg(i,1),3,1);s_real_orig_o(4:6,1)];
s_cf_ind_orig = [s_real_orig_o(1:3,1);repmat(arg(i,1),3,1)];
s_cf_ori = s_cf_ori_orig + xi_ressimo;
s_cf_ind = s_cf_ind_orig + xi_ressimo;

s_real_p = s_real_orig_p + xi_ressimp;
s_cf_mno_orig = [repmat(arg(i,1),2,1);s_real_orig_p(3:4,1)];
s_cf_nol_orig = [s_real_orig_p(1:2,1);repmat(arg(i,1),2,1)];
s_cf_mno = s_cf_mno_orig + xi_ressimp;
s_cf_nol = s_cf_nol_orig + xi_ressimp;

s_real_o1 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_real_o(1:3,1);
s_real_o2 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_real_o(4:6,1);

s_cf_ori_1 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_cf_ori(1:3,1);
s_cf_ori_2 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_cf_ori(4:6,1);

s_cf_ind_1 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_cf_ind(1:3,1);
s_cf_ind_2 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_cf_ind(4:6,1);

s_real_p1 = [(period_p1==1),(period_p1==2)]*s_real_p(1:2,1);
s_real_p2 = [(period_p1==1),(period_p1==2)]*s_real_p(3:4,1);

s_cf_mno_1 = [(period_p1==1),(period_p1==2)]*s_cf_mno(1:2,1);
s_cf_mno_2 = [(period_p1==1),(period_p1==2)]*s_cf_mno(3:4,1);

s_cf_nol_1 = [(period_p1==1),(period_p1==2)]*s_cf_nol(1:2,1);
s_cf_nol_2 = [(period_p1==1),(period_p1==2)]*s_cf_nol(3:4,1);

delta_p = [(period_p1==1),(period_p1==2)]*[delta;0];
lalpha_real_o = alpha_o*ones(size_o1,1)+theta_o*pub_o1+gamma*(s_real_o1-s_real_o2)+delta*s_real_o1.*pub_o1 + lalpha_ressimo;
lalpha_cf_ori = alpha_o*ones(size_o1,1)+theta_o*pub_o1+gamma*(s_cf_ori_1-s_cf_ori_2)+delta*s_cf_ori_1.*pub_o1 + lalpha_ressimo;
lalpha_cf_ind = alpha_o*ones(size_o1,1)+theta_o*pub_o1+gamma*(s_cf_ind_1-s_cf_ind_2)+delta*s_cf_ind_1.*pub_o1 + lalpha_ressimo;

lalpha_real_p = alpha_p*ones(size_p1,1)+theta_p*pub_p1+gamma*(s_real_p1-s_real_p2)+delta_p.*s_real_p1.*pub_p1 + lalpha_ressimp;
lalpha_cf_mno = alpha_p*ones(size_p1,1)+theta_p*pub_p1+gamma*(s_cf_mno_1-s_cf_mno_2)+delta_p.*s_cf_mno_1.*pub_p1 + lalpha_ressimp;
lalpha_cf_nol = alpha_p*ones(size_p1,1)+theta_p*pub_p1+gamma*(s_cf_nol_1-s_cf_nol_2)+delta_p.*s_cf_nol_1.*pub_p1 + lalpha_ressimp;

alpha_real_o(:,j) = exp(lalpha_real_o)./(ones(size_o1,1)+exp(lalpha_real_o));
alpha_cf_ori(:,j) = exp(lalpha_cf_ori)./(ones(size_o1,1)+exp(lalpha_cf_ori));
alpha_cf_ind(:,j) = exp(lalpha_cf_ind)./(ones(size_o1,1)+exp(lalpha_cf_ind));

alpha_real_p(:,j) = exp(lalpha_real_p)./(ones(size_p1,1)+exp(lalpha_real_p));
alpha_cf_mno(:,j) = exp(lalpha_cf_mno)./(ones(size_p1,1)+exp(lalpha_cf_mno));
alpha_cf_nol(:,j) = exp(lalpha_cf_nol)./(ones(size_p1,1)+exp(lalpha_cf_nol));

dalpha_real_o_aux(:,j) = alpha_real_o(:,j).*(ones(size_o1,1)-alpha_real_o(:,j)).*(ones(size_o1,1)-2*alpha_real_o(:,j));
dalpha_real_p_aux(:,j) = alpha_real_p(:,j).*(ones(size_p1,1)-alpha_real_p(:,j)).*(ones(size_p1,1)-2*alpha_real_p(:,j));
end      
revenue_real_ori = mean(alpha_real_o,2).*spend_o1;
revenue_cf_ori = mean(alpha_cf_ori,2).*spend_o1;
revenue_real_ind = (1-mean(alpha_real_o,2)).*spend_o1;
revenue_cf_ind = (1-mean(alpha_cf_ind,2)).*spend_o1;

revenue_real_mno = mean(alpha_real_p,2).*spend_p1;
revenue_cf_mno = mean(alpha_cf_mno,2).*spend_p1;
revenue_real_nol = (1-mean(alpha_real_p,2)).*spend_p1;
revenue_cf_nol = (1-mean(alpha_cf_nol,2)).*spend_p1;

cost_cf_ori = 0.5*(s_cf_ori_orig(1:3,1)-s_hat_o1).^2;
cost_cf_ind = 0.5*(s_cf_ind_orig(4:6,1)-s_hat_o2).^2;
cost_cf_mno = 0.5*(s_cf_mno_orig(1:2,1)-s_hat_p1).^2;
cost_cf_nol = 0.5*(s_cf_nol_orig(3:4,1)-s_hat_p2).^2; 

if i == 1
dalpha_real_o = beta*(5.28*10^-11)*(gamma*ones(size_o1,1)+delta*pub_o1).^2.*mean(dalpha_real_o_aux,2).*spend_o1;
equilibrium_cond_o1 = sum(dalpha_real_o(period_o1==1));
equilibrium_cond_o2= sum(dalpha_real_o(period_o1==2));
equilibrium_cond_o3 = sum(dalpha_real_o(period_o1==3));
dalpha_real_p = beta*(1.75*10^-10)*(gamma*ones(size_p1,1)+delta_p.*pub_p1).^2.*mean(dalpha_real_p_aux,2).*spend_p1;
equilibrium_cond_p1 = sum(dalpha_real_p(period_p1==1));
equilibrium_cond_p2= sum(dalpha_real_p(period_p1==2));
end

V_real_ori= (beta*(5.28*10^-11)*[sum(revenue_real_ori(period_o1==1));sum(revenue_real_ori(period_o1==2));...
    sum(revenue_real_ori(period_o1==3))]-0.5*(s_real_o(1:3,1)-s_hat_o1).^2)';
V_real_ind= (beta*(5.28*10^-11)*[sum(revenue_real_ind(period_o1==1));sum(revenue_real_ind(period_o1==2));...
    sum(revenue_real_ind(period_o1==3))]-0.5*(s_real_o(4:6,1)-s_hat_o2).^2)';
V_cf_ori(i,:)= (beta*(5.28*10^-11)*[sum(revenue_cf_ori(period_o1==1));sum(revenue_cf_ori(period_o1==2));...
    sum(revenue_cf_ori(period_o1==3))]-cost_cf_ori)';
V_cf_ind(i,:)= (beta*(5.28*10^-11)*[sum(revenue_cf_ind(period_o1==1));sum(revenue_cf_ind(period_o1==2));...
    sum(revenue_cf_ind(period_o1==3))]-cost_cf_ind)';

V_real_mno= (beta*(1.75*10^-10)*[sum(revenue_real_mno(period_p1==1));sum(revenue_real_mno(period_p1==2))]...
    -0.5*(s_real_p(1:2,1)-s_hat_p1).^2)';
V_real_nol= (beta*(1.75*10^-10)*[sum(revenue_real_nol(period_p1==1));sum(revenue_real_nol(period_p1==2))]...
    -0.5*(s_real_p(3:4,1)-s_hat_p2).^2)';
V_cf_mno(i,:)= (beta*(1.75*10^-10)*[sum(revenue_cf_mno(period_p1==1));sum(revenue_cf_mno(period_p1==2))]...
    -cost_cf_mno)';
V_cf_nol(i,:)= (beta*(1.75*10^-10)*[sum(revenue_cf_nol(period_p1==1));sum(revenue_cf_nol(period_p1==2))]...
    -cost_cf_nol)';
end

s_ori_sort1 = sortrows([-V_cf_ori(:,1),arg],1);
s_ori_sort2 = sortrows([-V_cf_ori(:,2),arg],1);
s_ori_sort3 = sortrows([-V_cf_ori(:,3),arg],1);
s_ori_best = [s_ori_sort1(1,2);s_ori_sort2(1,2);s_ori_sort3(1,2)];

s_ind_sort1 = sortrows([-V_cf_ind(:,1),arg],1);
s_ind_sort2 = sortrows([-V_cf_ind(:,2),arg],1);
s_ind_sort3 = sortrows([-V_cf_ind(:,3),arg],1);
s_ind_best = [s_ind_sort1(1,2);s_ind_sort2(1,2);s_ind_sort3(1,2)];

s_mno_sort1 = sortrows([-V_cf_mno(:,1),arg],1);
s_mno_sort2 = sortrows([-V_cf_mno(:,2),arg],1);
s_mno_best = [s_mno_sort1(1,2);s_mno_sort2(1,2)];

s_nol_sort1 = sortrows([-V_cf_nol(:,1),arg],1);
s_nol_sort2 = sortrows([-V_cf_nol(:,2),arg],1);
s_nol_best = [s_nol_sort1(1,2);s_nol_sort2(1,2)];


hold off
plot(arg',V_cf_ori(:,1),'r-');
hold on
plot(arg',V_cf_ori(:,2),'b-');
plot(arg',V_cf_ori(:,3),'k-');
y = ylim;
plot([s_real_orig_o(1,1) s_real_orig_o(1,1)],[y(1),y(2)],'r--','LineWidth',.5)
plot([s_real_orig_o(2,1) s_real_orig_o(2,1)],[y(1),y(2)],'b--','LineWidth',.5)
plot([s_real_orig_o(3,1) s_real_orig_o(3,1)],[y(1),y(2)],'k--','LineWidth',.5)
plot([s_ori_best(1,1) s_ori_best(1,1)],[y(1),y(2)],'r:','LineWidth',.5)
plot([s_ori_best(2,1) s_ori_best(2,1)],[y(1),y(2)],'b:','LineWidth',.5)
plot([s_ori_best(3,1) s_ori_best(3,1)],[y(1),y(2)],'k:','LineWidth',.5)
if altref == 0&&altprice==0
    if altmod==0
   print -dpdf output/eq_tab4_col3_origo.pdf
    else
   print -dpdf output/eq_tab4_col4_origo.pdf
    end
elseif altref == 1&&altprice==0
    if altmod==0
   print -dpdf output/eq_tab10_col3_origo.pdf
    else
   print -dpdf output/eq_tab10_col4_origo.pdf
    end
else
    if altmod==0
   print -dpdf output/eq_tab11_col3_origo.pdf
    else
   print -dpdf output/eq_tab11_col4_origo.pdf
    end
end

hold off
plot(arg',V_cf_ind(:,1),'r-');
hold on
plot(arg',V_cf_ind(:,2),'b-');
plot(arg',V_cf_ind(:,3),'k-');
y = ylim;
plot([s_real_orig_o(4,1) s_real_orig_o(4,1)],[y(1),y(2)],'r--','LineWidth',.5)
plot([s_real_orig_o(5,1) s_real_orig_o(5,1)],[y(1),y(2)],'b--','LineWidth',.5)
plot([s_real_orig_o(6,1) s_real_orig_o(6,1)],[y(1),y(2)],'k--','LineWidth',.5)
plot([s_ind_best(1,1) s_ind_best(1,1)],[y(1),y(2)],'r:','LineWidth',.5)
plot([s_ind_best(2,1) s_ind_best(2,1)],[y(1),y(2)],'b:','LineWidth',.5)
plot([s_ind_best(3,1) s_ind_best(3,1)],[y(1),y(2)],'k:','LineWidth',.5)
if altref == 0&&altprice==0
    if altmod==0
   print -dpdf output/eq_tab4_col3_index.pdf
    else
   print -dpdf output/eq_tab4_col4_index.pdf
    end
elseif altref == 1&&altprice==0
    if altmod==0
   print -dpdf output/eq_tab10_col3_index.pdf
    else
   print -dpdf output/eq_tab10_col4_index.pdf
    end
else
    if altmod==0
   print -dpdf output/eq_tab11_col3_index.pdf
    else
   print -dpdf output/eq_tab11_col4_index.pdf
    end
end

hold off
plot(arg',V_cf_mno(:,1),'r-');
hold on
plot(arg',V_cf_mno(:,2),'b-');
y = ylim;
plot([s_real_orig_p(1,1) s_real_orig_p(1,1)],[y(1),y(2)],'r--','LineWidth',.5)
plot([s_real_orig_p(2,1) s_real_orig_p(2,1)],[y(1),y(2)],'b--','LineWidth',.5)
plot([s_mno_best(1,1) s_mno_best(1,1)],[y(1),y(2)],'r:','LineWidth',.5)
plot([s_mno_best(2,1) s_mno_best(2,1)],[y(1),y(2)],'b:','LineWidth',.5)
if altref == 0&&altprice==0
    if altmod==0
   print -dpdf output/eq_tab4_col3_magyarnemzet.pdf
    else
   print -dpdf output/eq_tab4_col4_magyarnemzet.pdf
    end
elseif altref == 1&&altprice==0
    if altmod==0
   print -dpdf output/eq_tab10_col3_magyarnemzet.pdf
    else
   print -dpdf output/eq_tab10_col4_magyarnemzet.pdf
    end
else
    if altmod==0
   print -dpdf output/eq_tab11_col3_magyarnemzet.pdf
    else
   print -dpdf output/eq_tab11_col4_magyarnemzet.pdf
    end
end

hold off
plot(arg',V_cf_nol(:,1),'r-');
hold on
plot(arg',V_cf_nol(:,2),'b-');
y = ylim;
plot([s_real_orig_p(3,1) s_real_orig_p(3,1)],[y(1),y(2)],'r--','LineWidth',.5)
plot([s_real_orig_p(4,1) s_real_orig_p(4,1)],[y(1),y(2)],'b--','LineWidth',.5)
plot([s_nol_best(1,1) s_nol_best(1,1)],[y(1),y(2)],'r:','LineWidth',.5)
plot([s_nol_best(2,1) s_nol_best(2,1)],[y(1),y(2)],'b:','LineWidth',.5)
if altref == 0&&altprice==0
    if altmod==0
   print -dpdf output/eq_tab4_col3_nepszabadsag.pdf
    else
   print -dpdf output/eq_tab4_col4_nepszabadsag.pdf
    end
elseif altref == 1&&altprice==0
    if altmod==0
   print -dpdf output/eq_tab10_col3_nepszabadsag.pdf
    else
   print -dpdf output/eq_tab10_col4_nepszabadsag.pdf
    end
else
    if altmod==0
   print -dpdf output/eq_tab11_col3_nepszabadsag.pdf
    else
   print -dpdf output/eq_tab11_col4_nepszabadsag.pdf
    end
end

if altmod == 0
Equilibrium3 = [equilibrium_cond_o1;equilibrium_cond_o2;equilibrium_cond_o3;equilibrium_cond_p1;equilibrium_cond_p2];
clearvars -except Equilibrium1 Equilibrium2 Equilibrium3 altref altprice
else
Equilibrium4 = [equilibrium_cond_o1;equilibrium_cond_o2;equilibrium_cond_o3;equilibrium_cond_p1;equilibrium_cond_p2];
clearvars -except Equilibrium1 Equilibrium2 Equilibrium3 Equilibrium4 altref altprice
end