% Inputs
path_HVG_csv = 'temp/microdata_cont_HVG.csv';
path_444_csv = 'temp/microdata_cont_444HU.csv';
path_advo_csv = 'temp/microdata_adv_online.csv';
path_advpr_csv = 'temp/microdata_adv_print.csv';
path_advpo_csv = 'temp/microdata_adv_pooled.csv';


% Temporal inputs
path_HVG = 'temp/microdata_cont_HVG.mat';
path_444 = 'temp/microdata_cont_444.mat';
path_advo = 'temp/microdata_adv_online.mat';
path_advpr = 'temp/microdata_adv_print.mat';
path_advpo = 'temp/microdata_adv_pooled.mat';

% Outputs
path_mc1 = 'output/main_col1.mat';
path_mc2 = 'output/main_col2.mat';
path_mc3 = 'output/main_col3.mat';
path_mc4 = 'output/main_col4.mat';
path_ar1 = 'output/altref_col1.mat';
path_ar2 = 'output/altref_col2.mat';
path_ar3 = 'output/altref_col3.mat';
path_ar4 = 'output/altref_col4.mat';
path_ap1 = 'output/altprice_col1.mat';
path_ap2 = 'output/altprice_col2.mat';
path_ap3 = 'output/altprice_col3.mat';
path_ap4 = 'output/altprice_col4.mat';
path_decomp = 'output/decomp_table.mat';
path_invobj = 'output/invest_obj_table.mat';
path_budget = 'output/budget_table.mat';
path_bothcap = 'output/bothcap_sim.mat';
path_eqorigo = 'output/equilibrium_origo.pdf';
path_eqindex = 'output/equilibrium_index.pdf';
path_eqmno = 'output/equilibrium_mno.pdf';
path_eqnol = 'output/equilibrium_nol.pdf';
path_eqorigop1 = 'output/equilibrium_origo_pooled1.pdf';
path_eqindexp1 = 'output/equilibrium_index_pooled1.pdf';
path_eqmnop1 = 'output/equilibrium_mno_pooled1.pdf';
path_eqnolp1 = 'output/equilibrium_nol_pooled1.pdf';
path_eqorigop2 = 'output/equilibrium_origo_pooled2.pdf';
path_eqindexp2 = 'output/equilibrium_index_pooled2.pdf';
path_eqmnop2 = 'output/equilibrium_mno_pooled2.pdf';
path_eqnolp2 = 'output/equilibrium_nol_pooled2.pdf';
path_tab4 = 'output/table4.xlsx';
path_tab5 = 'output/table5.xlsx';
path_tab6 = 'output/table6.xlsx';
path_tab7 = 'output/table7.xlsx';
path_no_in_text = 'output/numbers_in_text_counterfactual.xlsx';
path_tab8 = 'output/table8.xlsx';
path_tabA10 = 'output/tableA10.xlsx';
path_tabA11 = 'output/tableA11.xlsx';
path_tabeq = 'output/equilibrium.xlsx';
path_tabeqap = 'output/equilibrium_altprice.xlsx';
path_tabeqar = 'output/equilibrium_altref.xlsx';
