function[xbar,fval]=gmm_online(x0bar,alpha,theta,gamma,delta,sigma_nu,lalpha_resrando,...
    xi_resrando1,xi_resrando2,xi_resrandor,size_cont1,size_cont2,size_cont3,spend,pub,period,slant1,slant2,period_cont)

options=optimset('Display','off','MaxIter',10000,'TolX',10^-30,'TolFun',10^-30);
[xbar,fval] = fminunc(@mindist,x0bar,options);

function[y]=mindist(parameters)
s_hat_aux = parameters(1:2,1);
beta = parameters(3,1);
s_hat_r = parameters(4:6,1);
sigma_xi = exp(parameters(7,1));
if sigma_xi>1
    sigma_xi=1;
end
s_hat = [s_hat_aux(1,1);s_hat_aux(1,1);s_hat_aux(2,1)];

s_hat1 = s_hat_r;
s_hat2 = s_hat1 - s_hat; 

s_emp = [mean(slant1(period_cont==1));mean(slant1(period_cont==2));mean(slant1(period_cont==3));...
    mean(slant2(period_cont==1));mean(slant2(period_cont==2));mean(slant2(period_cont==3))];
x0 = s_emp;    
s_sim = nslant_online(x0,alpha,theta,gamma,delta,sigma_nu,s_hat1,beta,s_hat2,sigma_xi,lalpha_resrando,...
    xi_resrando1,xi_resrando2,xi_resrandor,size_cont1,size_cont2,size_cont3,spend,pub,period);
xi_emp = [slant1;slant2]-[[(period_cont==1),(period_cont==2),(period_cont==3)]*s_sim(1:3,1);...
    [(period_cont==1),(period_cont==2),(period_cont==3)]*s_sim(4:6,1)];
sigma_xi_emp = var(xi_emp);
m = [s_emp;sigma_xi_emp]-[s_sim;sigma_xi];
y = m'*eye(7)*m;
end    
end