function[xbar,fval]=gmm_pooled(x0bar,altmod,alpha_o,alpha_p,theta_o,theta_p,gamma,delta,sigma_nu,...
    lalpha_resrando,lalpha_resrandp,xi_resrando1,xi_resrando2,xi_resrandor,xi_resrandp1,xi_resrandp2,xi_resrandpr,...
    size_cont_o1,size_cont_o2,size_cont_o3,size_cont_p1,size_cont_p2,spend_o1,spend_p1,...
    pub_o1,pub_p1,period_o1,period_p1,slant_own,slant_other,...
    period_cont_o,period_cont_p)
options=optimset('Display','off','MaxIter',10000,'TolX',10^-30,'TolFun',10^-30);
[xbar,fval] = fminunc(@mindist,x0bar,options);

function[y]=mindist(parameters)
if altmod == 0
s_hat_aux = parameters(1:3,1);
s_hat_o = [s_hat_aux(1,1);s_hat_aux(1,1);s_hat_aux(2,1)];
s_hat_p = [s_hat_aux(3,1);s_hat_aux(3,1)];
beta = parameters(4,1);
s_hat_r = parameters(5:9,1);
sigma_xi = exp(parameters(10,1));
else 
s_hat_aux = parameters(1:4,1);    
s_hat_o = [s_hat_aux(1,1);s_hat_aux(1,1);s_hat_aux(2,1)];
s_hat_p = [s_hat_aux(3,1);s_hat_aux(4,1)];
beta = parameters(5,1);
s_hat_r = parameters(6:10,1);
sigma_xi = exp(parameters(11,1));
end
if sigma_xi>1
    sigma_xi=1;
end
s_hat1_o = s_hat_r(1:3,1);
s_hat1_p = s_hat_r(4:5,1);
s_hat2_o = s_hat1_o - s_hat_o; 
s_hat2_p = s_hat1_p - s_hat_p; 

size_cont_o = size_cont_o1+size_cont_o2+size_cont_o3;
size_cont_p = size_cont_p1+size_cont_p2;
slant_owno = slant_own(1:size_cont_o,1);
slant_othero = slant_other(1:size_cont_o,1);
slant_ownp = slant_own(size_cont_o+1:size_cont_o+size_cont_p,1);
slant_otherp = slant_other(size_cont_o+1:size_cont_o+size_cont_p,1);
s_emp = [mean(slant_owno(period_cont_o==1));mean(slant_owno(period_cont_o==2));mean(slant_owno(period_cont_o==3));...
    mean(slant_othero(period_cont_o==1));mean(slant_othero(period_cont_o==2));mean(slant_othero(period_cont_o==3));...
    mean(slant_ownp(period_cont_p==1));mean(slant_ownp(period_cont_p==2));mean(slant_otherp(period_cont_p==1));...
    mean(slant_otherp(period_cont_p==2))];
x0 = s_emp;    
s_sim = [nslant_online(x0(1:6,1),alpha_o,theta_o,gamma,delta,sigma_nu,s_hat1_o,beta,s_hat2_o,sigma_xi,lalpha_resrando,...
    xi_resrando1,xi_resrando2,xi_resrandor,size_cont_o1,size_cont_o2,size_cont_o3,spend_o1,pub_o1,period_o1);...
    nslant_print(x0(7:10,1),0,alpha_p,theta_p,gamma,delta,sigma_nu,s_hat1_p,beta,s_hat2_p,sigma_xi,lalpha_resrandp,...
    xi_resrandp1,xi_resrandp2,xi_resrandpr,size_cont_p1,size_cont_p2,spend_p1,pub_p1,period_p1)];
xi_emp = [slant_own;slant_other]-[[(period_cont_o==1),(period_cont_o==2),(period_cont_o==3)]*s_sim(1:3,1);...
    [(period_cont_p==1),(period_cont_p==2)]*s_sim(7:8,1);...
     [(period_cont_o==1),(period_cont_o==2),(period_cont_o==3)]*s_sim(4:6,1);...
     [(period_cont_p==1),(period_cont_p==2)]*s_sim(9:10,1)];
sigma_xi_emp = var(xi_emp);
m = [s_emp;sigma_xi_emp]-[s_sim;sigma_xi];
y = m'*eye(11)*m;
end
end