function[xbar,fval]=gmm_print(x0bar,alpha,theta,gamma,delta,sigma_nu,lalpha_resrandp,...
    xi_resrandp1,xi_resrandp2,xi_resrandpr,size_cont1,size_cont2,spend,pub,period,slant1,slant2,period_cont)

options=optimset('Display','off','MaxIter',10000,'TolX',10^-30,'TolFun',10^-30);
[xbar,fval] = fminunc(@mindist,x0bar,options);

function[y]=mindist(parameters)
s_hat_aux = parameters(1,1);
beta = parameters(2,1);
s_hat_r = parameters(3:4,1);
sigma_xi = exp(parameters(5,1));
if sigma_xi>1
    sigma_xi=1;
end
s_hat = [s_hat_aux;s_hat_aux];

s_hat1 = s_hat_r;
s_hat2 = s_hat1 - s_hat; 

s_emp = [mean(slant1(period_cont==1));mean(slant1(period_cont==2));...
    mean(slant2(period_cont==1));mean(slant2(period_cont==2))];
x0 = s_emp;    
s_sim = nslant_print(x0,0,alpha,theta,gamma,delta,sigma_nu,s_hat1,beta,s_hat2,sigma_xi,lalpha_resrandp,...
    xi_resrandp1,xi_resrandp2,xi_resrandpr,size_cont1,size_cont2,spend,pub,period);
xi_emp = [slant1;slant2]-[[(period_cont==1),(period_cont==2)]*s_sim(1:2,1);...
    [(period_cont==1),(period_cont==2)]*s_sim(3:4,1)];
sigma_xi_emp = var(xi_emp);
m = [s_emp;sigma_xi_emp]-[s_sim;sigma_xi];
y = m'*eye(5)*m;
end    
end