set_n;
file_paths;

tic
if altref == 0
load(path_HVG)
else
load(path_444)
end

slant_diff_o = slant_diff(online==1);
slant_diff_p = slant_diff(online==0);
slant_own_o = slant_own(online==1);
slant_own_p = slant_own(online==0);
slant_other_o = slant_other(online==1);
slant_other_p = slant_other(online==0);
period_cont_o0 = period_cont(online==1);
period_cont_p0 = period_cont(online==0);
% corr_index = corr_index(online==1);
% corr_nol = corr_nol(online==0);
size_cont_o = length(slant_diff_o);
size_cont_p = length(slant_diff_p);
size_cont = size_cont_o + size_cont_p;

[s_o,id_cont_o] = bootstrp(N,@slant_moments_online,slant_diff_o,period_cont_o0);
[s_p,id_cont_p] = bootstrp(N,@slant_moments_print,slant_diff_p,period_cont_p0);

slant_diff = [slant_diff_o,slant_diff_o(id_cont_o);...
         slant_diff_p,slant_diff_p(id_cont_p)];
slant_own = [slant_own_o,slant_own_o(id_cont_o);...
         slant_own_p,slant_own_p(id_cont_p)];
slant_other = [slant_other_o,slant_other_o(id_cont_o);...
         slant_other_p,slant_other_p(id_cont_p)];
     
s_diff = [slant_moments_online(slant_diff_o,period_cont_o0);...
          slant_moments_print(slant_diff_p,period_cont_p0)];
s_own = [slant_moments_online(slant_own_o,period_cont_o0);...
         slant_moments_print(slant_own_p,period_cont_p0)];
s_other = [slant_moments_online(slant_other_o,period_cont_o0);...
          slant_moments_print(slant_other_p,period_cont_p0)];

s_emp = [s_own(1:3,1),s_other(1:3,1),s_diff(1:3,1);...
         s_own(7:8,1),s_other(7:8,1),s_diff(7:8,1)];
s_se = [s_own(4:6,1),s_other(4:6,1),s_diff(4:6,1);...
        s_own(9:10,1),s_other(9:10,1),s_diff(9:10,1)];
period_cont_o = [period_cont_o0,period_cont_o0(id_cont_o)];
period_cont_p = [period_cont_p0,period_cont_p0(id_cont_p)];

% corr_index_av = [mean(corr_index(period_cont_o0==1));mean(corr_index(period_cont_o0==2));...
%     mean(corr_index(period_cont_o0==3))];
% corr_nol_av = [mean(corr_nol(period_cont_p0==1));mean(corr_nol(period_cont_p0==2))];

s_var_o = var(slant_diff_o);
s_var_p = var(slant_diff_p);

load(path_advpo)
ad_num = length(adv_id0);
[adv_id_av,id_spend] = bootstrp(N,@mean,adv_id0);
clear adv_id_av adv_id_av2
lodds_o = [[lodds10,lodds10(id_spend)];[lodds20,lodds20(id_spend)];[lodds30,lodds30(id_spend)]];
lodds_p = [[lodds40,lodds40(id_spend)];[lodds50,lodds50(id_spend)]];   

spend_o = [[spend10,spend10(id_spend)];[spend20,spend20(id_spend)];[spend30,spend30(id_spend)]];
spend_p = [[spend40,spend40(id_spend)];[spend50,spend50(id_spend)]];

pub_o = [[pub10,pub10(id_spend)];[pub20,pub20(id_spend)];[pub30,pub30(id_spend)]];
pub_p = [[pub40,pub40(id_spend)];[pub50,pub50(id_spend)]];

period_o = kron([1;2;3],ones(ad_num,N+1));
period_p = kron([1;2],ones(ad_num,N+1));

%% Estimation

if altmod == 0
par_num =27;
else
par_num =29;
end
spend_o1_aux = spend_o(:,1);
spend_o1 = spend_o1_aux(isnan(spend_o1_aux)==0); 
size_o1= length(spend_o1);
spend_p1_aux = spend_p(:,1);
spend_p1 = spend_p1_aux(isnan(spend_p1_aux)==0); 
size_p1= length(spend_p1);
[spend_o_av,id_reso] = bootstrp(M,@mean,spend_o1);
[spend_p_av,id_resp] = bootstrp(M,@mean,spend_p1);
clear spend_o1_aux spend_p1_aux
spend1 = [spend_o1;spend_p1];

lalpha_resrando = normrnd(0,1,size_o1,M); % simulate M nu/sigma_nu for online
lalpha_resrandp = normrnd(0,1,size_p1,M); % simulate M nu/sigma_nu for print
xi_resrando1 = normrnd(0,1,size_cont_o,M); % simulate M xi/sigma_xi for online
xi_resrando2 = normrnd(0,1,size_cont_o,M); % simulate M xi/sigma_xi for online
xi_resrandor = normrnd(0,1,size_cont_o,M); % simulate M xi/sigma_xi for reference
xi_resrandp1 = normrnd(0,1,size_cont_p,M); % simulate M xi/sigma_xi for online
xi_resrandp2 = normrnd(0,1,size_cont_p,M); % simulate M xi/sigma_xi for online
xi_resrandpr = normrnd(0,1,size_cont_p,M); % simulate M xi/sigma_xi for reference

if altprice == 1
price_pri = .33;
else 
price_pri = 1;
end
price_pub = 1;

solution = zeros(N+1,par_num);


i=1;
j=1;
% Point estimation

lodds_oi_aux = lodds_o(:,i);
lodds_oi = lodds_oi_aux(isnan(lodds_oi_aux)==0);        
spend_oi_aux = spend_o(:,i);
spend_oi = spend_oi_aux(isnan(spend_oi_aux)==0);   
pub_oi_aux = pub_o(:,i);
pub_oi = pub_oi_aux(isnan(pub_oi_aux)==0);   
period_oi_aux = period_o(:,i);
period_oi = period_oi_aux(isnan(lodds_oi_aux)==0);  
clear lodds_oi_aux spend_oi_aux pub_oi_aux period_oi_aux
size_o = length(lodds_oi);

lodds_pi_aux = lodds_p(:,i);
lodds_pi = lodds_pi_aux(isnan(lodds_pi_aux)==0);        
spend_pi_aux = spend_p(:,i);
spend_pi = spend_pi_aux(isnan(spend_pi_aux)==0);   
pub_pi_aux = pub_p(:,i);
pub_pi = pub_pi_aux(isnan(pub_pi_aux)==0);   
period_pi_aux = period_p(:,i);
period_pi = period_pi_aux(isnan(lodds_pi_aux)==0);  
clear lodds_pi_aux spend_pi_aux pub_pi_aux period_pi_aux
size_p = length(lodds_pi);
size = size_o + size_p; 

% % This part fixes the prices
if altprice == 1
adv_share_aux_o = exp(lodds_oi)./(1+exp(lodds_oi));
adv_share_aux_p = exp(lodds_pi)./(1+exp(lodds_pi));

% connect_spend_o = price_pri*adv_share_aux_o.*spend_oi.*(pub_oi==0)+...
%                       price_pub*adv_share_aux_o.*spend_oi.*(pub_oi==1);

connect_spend_o = price_pri*adv_share_aux_o.*spend_oi.*(pub_oi==0)+...
                     price_pri*adv_share_aux_o.*spend_oi.*(pub_oi==1).*(period_oi~=3)+...
                     price_pub*adv_share_aux_o.*spend_oi.*(pub_oi==1).*(period_oi==3);                                    
% connect_spend_p = price_pri*adv_share_aux_p.*spend_pi.*(pub_pi==0)+...
%                       price_pub*adv_share_aux_p.*spend_pi.*(pub_pi==1);
connect_spend_p = price_pri*adv_share_aux_p.*spend_pi.*(pub_pi==0)+...
                      price_pri*adv_share_aux_p.*spend_pi.*(pub_pi==1).*(period_pi==2)+...
                      price_pub*adv_share_aux_p.*spend_pi.*(pub_pi==1).*(period_pi==1);
      
unconnect_spend_o = price_pri*(1-adv_share_aux_o).*spend_oi;
unconnect_spend_p = price_pri*(1-adv_share_aux_p).*spend_pi;                  

spend_orig_oi = spend_oi;
spend_orig_pi = spend_pi;
spend_oi = connect_spend_o + unconnect_spend_o;
spend_pi = connect_spend_p + unconnect_spend_p;

adv_share_o = connect_spend_o./spend_oi;
adv_share_p = connect_spend_p./spend_pi;

lodds_oi = log(adv_share_o./(1-adv_share_o));
lodds_pi = log(adv_share_p./(1-adv_share_p));

if i ==1
adv_share_av_o = [sum(spend_oi(period_oi==1&pub_oi==1).*adv_share_o(period_oi==1&pub_oi==1))./sum(spend_oi(period_oi==1&pub_oi==1));...
                  sum(spend_oi(period_oi==2&pub_oi==1).*adv_share_o(period_oi==2&pub_oi==1))./sum(spend_oi(period_oi==2&pub_oi==1));...
                  sum(spend_oi(period_oi==3&pub_oi==1).*adv_share_o(period_oi==3&pub_oi==1))./sum(spend_oi(period_oi==3&pub_oi==1))];

adv_share_av_orig_o = [sum(spend_orig_oi(period_oi==1&pub_oi==1).*adv_share_aux_o(period_oi==1&pub_oi==1))./sum(spend_orig_oi(period_oi==1&pub_oi==1));...
                  sum(spend_orig_oi(period_oi==2&pub_oi==1).*adv_share_aux_o(period_oi==2&pub_oi==1))./sum(spend_orig_oi(period_oi==2&pub_oi==1));...
                  sum(spend_orig_oi(period_oi==3&pub_oi==1).*adv_share_aux_o(period_oi==3&pub_oi==1))./sum(spend_orig_oi(period_oi==3&pub_oi==1))];
              
adv_share_av_p = [sum(spend_pi(period_pi==1).*adv_share_p(period_pi==1))./sum(spend_pi(period_pi==1));...
                  sum(spend_pi(period_pi==2).*adv_share_p(period_pi==2))./sum(spend_pi(period_pi==2))];

adv_share_av_orig_p = [sum(spend_orig_pi(period_pi==1).*adv_share_aux_p(period_pi==1))./sum(spend_orig_pi(period_pi==1));...
                  sum(spend_orig_pi(period_pi==2).*adv_share_aux_p(period_pi==2))./sum(spend_orig_pi(period_pi==2))];
end
clear adv_share_aux_o adv_share_aux_p spend_orig_oi spend_orig_pi
end
% % This is the end of price fixing

lodds_i = [lodds_oi;lodds_pi];

weight = [spend_oi./sum(spend_oi);spend_pi./sum(spend_pi)];    
W_1st = diag(weight); 

s_diff_o = [(period_oi==1),(period_oi==2),(period_oi==3)]*s_emp(1:3,3); 

s_diff_p = [(period_pi==1),(period_pi==2)]*s_emp(4:5,3);
s_diff = [s_diff_o;s_diff_p];    

s_pub_o = [(period_oi==1),(period_oi==2),(period_oi==3)]*s_emp(1:3,1).*pub_oi;
s_pub_p = [(period_pi==1),zeros(size_p,1)]*s_emp(4:5,1).*pub_pi;
s_pub = [s_pub_o;s_pub_p];
      
X = [[ones(size_o,1);zeros(size_p,1)],[zeros(size_o,1);ones(size_p,1)],[pub_oi;zeros(size_p,1)],...
    [zeros(size_o,1);pub_pi],s_diff,s_pub];
stage1 = inv(X'*W_1st*X)*X'*W_1st*lodds_i;
lalpha_res = lodds_i-X*stage1;
lalpha_reso = lalpha_res(1:size_o,1);
lalpha_resp = lalpha_res(size_o+1:size_o+size_p,1);

sigma_sqnu = var(sqrt([spend_oi;spend_pi]).*lalpha_res);

var_nu_o = var(lalpha_reso);
var_nu_p = var(lalpha_resp);
var_nu = var(lalpha_res);
if i==1
    eps = lalpha_res;
    epso = lalpha_reso;
    epsp = lalpha_resp;
    var_e = var(eps);
    meat =  X'*diag(weight.^2.*eps.^2)*X;
    stage1_se = sqrt(diag(inv(X'*W_1st*X)*meat*inv(X'*W_1st*X)));
    spend_o1 = spend_oi;
    spend_p1 = spend_pi;
    period_o1 = period_oi;
    period_p1 = period_pi;
    pub_o1 = pub_oi;
    pub_p1 = pub_pi;
end

size_cont_o1 = sum((period_cont_o(:,i)==1));
size_cont_o2 = sum((period_cont_o(:,i)==2));
size_cont_o3 = sum((period_cont_o(:,i)==3));

size_cont_p1 = sum((period_cont_p(:,i)==1));
size_cont_p2 = sum((period_cont_p(:,i)==2));

dalpha_simo_aux = zeros(size_o1,M);
dalpha_simp_aux = zeros(size_p1,M);
ddalpha_simo_aux = zeros(size_o1,M);
ddalpha_simp_aux = zeros(size_p1,M);

alpha_o = stage1(1,1);
alpha_p = stage1(2,1);
theta_o = stage1(3,1);
theta_p = stage1(4,1);
gamma = stage1(5,1);
delta = stage1(6,1);

for j=1:M
lalpha_ressim = sqrt(sigma_sqnu)*(1./sqrt(spend1)).*[lalpha_resrando(:,j);lalpha_resrandp(:,j)];

s_diff_o1 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_emp(1:3,3); 
s_diff_p1 = [(period_p1==1),(period_p1==2)]*s_emp(4:5,3);
s_pub_o1 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_emp(1:3,1).*pub_o1;
s_pub_p1 = [(period_p1==1),zeros(size_p1,1)]*s_emp(4:5,1).*pub_p1;

lalpha_simo = alpha_o*ones(size_o1,1) + gamma*s_diff_o1 + theta_o*pub_o1 + delta*s_pub_o1 + lalpha_ressim(1:size_o1,1);
lalpha_simp = alpha_p*ones(size_p1,1) + gamma*s_diff_p1 + theta_p*pub_p1 + delta*s_pub_p1 + lalpha_ressim(size_o1+1:size_o1+size_p1,1);

alpha_simo = exp(lalpha_simo)./(ones(size_o1,1)+exp(lalpha_simo));
alpha_simp = exp(lalpha_simp)./(ones(size_p1,1)+exp(lalpha_simp));

dalpha_simo_aux(:,j) = alpha_simo.*(ones(size_o1,1)-alpha_simo);
dalpha_simp_aux(:,j) = alpha_simp.*(ones(size_p1,1)-alpha_simp);

ddalpha_simo_aux(:,j) = alpha_simo.*(ones(size_o1,1)-alpha_simo).*(ones(size_o1,1)-2*alpha_simo);
ddalpha_simp_aux(:,j) = alpha_simp.*(ones(size_p1,1)-alpha_simp).*(ones(size_p1,1)-2*alpha_simp);

if i ==1 && j==1
eps_simo = lalpha_ressim;
end
end
dalpha_simo_all = mean(dalpha_simo_aux,2).*spend_o1;
dalpha_simo = dalpha_simo_all.*pub_o1;
ddalpha_simo = mean(ddalpha_simo_aux,2).*spend_o1.*pub_o1;

dalpha_simp_all = mean(dalpha_simp_aux,2).*spend_p1;
dalpha_simp = dalpha_simp_all.*pub_p1;
ddalpha_simp = mean(ddalpha_simp_aux,2).*spend_p1.*pub_p1;

dmps = [(5.28*10^-11)*delta*[(period_cont_o(:,i)==1),(period_cont_o(:,i)==2),(period_cont_o(:,i)==3)]*...
    [sum(ddalpha_simo(period_o1==1));sum(ddalpha_simo(period_o1==2));sum(ddalpha_simo(period_o1==3))];...
     (1.75*10^-10)*delta*[(period_cont_p(:,i)==1),zeros(size_cont_p,1)]*...
    [sum(ddalpha_simp(period_p1==1));sum(ddalpha_simp(period_p1==2))]];
    
mps = [(5.28*10^-11)*delta*[(period_cont_o(:,i)==1),(period_cont_o(:,i)==2),(period_cont_o(:,i)==3)]*...
    [sum(dalpha_simo(period_o1==1));sum(dalpha_simo(period_o1==2));sum(dalpha_simo(period_o1==3))];...
     (1.75*10^-10)*delta*[(period_cont_p(:,i)==1),zeros(size_cont_p,1)]*...
    [sum(dalpha_simp(period_p1==1));sum(dalpha_simp(period_p1==2))]];
if altmod == 0
Z = [[(period_cont_o(:,i)~=3);zeros(size_cont_p,1)],[(period_cont_o(:,i)==3);zeros(size_cont_p,1)],...
   [zeros(size_cont_o,1);ones(size_cont_p,1)],mps];
else
% Alternative specification with s_hat_p2~=s_hat_p1 
Z = [[(period_cont_o(:,i)~=3);zeros(size_cont_p,1)],[(period_cont_o(:,i)==3);zeros(size_cont_p,1)],...
      [zeros(size_cont_o,1);(period_cont_p(:,i)==1)],[zeros(size_cont_o,1);(period_cont_p(:,i)==2)],mps];
end
stage2 = inv(Z'*Z)*Z'*slant_diff(:,i);
xi = slant_diff(:,i)-Z*stage2;
sigma_sqxi = var(xi);

beta = stage2(par_num-23-altmod,1);

s_hat_r = [s_emp(1:3,1)-beta*(5.28*10^-11)*(delta*[sum(dalpha_simo(period_o1==1));sum(dalpha_simo(period_o1==2));sum(dalpha_simo(period_o1==3))]...
    +gamma*[sum(dalpha_simo_all(period_o1==1));sum(dalpha_simo_all(period_o1==2));sum(dalpha_simo_all(period_o1==3))]);...
    s_emp(4:5,1)-beta*(1.75*10^-10)*(delta* [sum(dalpha_simp(period_p1==1));sum(dalpha_simp(period_p1==2))]...
    +gamma*[sum(dalpha_simp_all(period_p1==1));sum(dalpha_simp_all(period_p1==2))])];

if i==1
    dalpha_simo1 = dalpha_simo;
    dalpha_simp1 = dalpha_simp;
    mp1 = mps;
    xi1 = xi;
    meat =  Z'*diag(xi1.^2)*Z;
    stage2_se = sqrt(diag(inv(Z'*Z)*meat*inv(Z'*Z)));
end
x0bar = [stage2;s_hat_r;log(sigma_sqxi)];
stage2_gmm = gmm_pooled(x0bar,altmod,alpha_o,alpha_p,theta_o,theta_p,gamma,delta,sigma_sqnu,...
    lalpha_resrando,lalpha_resrandp,xi_resrando1,xi_resrando2,xi_resrandor,xi_resrandp1,xi_resrandp2,xi_resrandpr,...
    size_cont_o1,size_cont_o2,size_cont_o3,size_cont_p1,size_cont_p2,spend_o1,spend_p1,...
    pub_o1,pub_p1,period_o1,period_p1,slant_own(:,i),slant_other(:,i),...
    period_cont_o(:,i),period_cont_p(:,i));
%diff_origo = stage2_gmm(2,1)-stage2_gmm(1,1);

solution(i,:) = [stage1;sigma_sqnu;stage2;s_hat_r;log(sigma_sqxi);stage2_gmm];









% Bootstrap

parfor (i=2:N+1,40) 
lodds_oi_aux = lodds_o(:,i);
lodds_oi = lodds_oi_aux(isnan(lodds_oi_aux)==0);        
spend_oi_aux = spend_o(:,i);
spend_oi = spend_oi_aux(isnan(spend_oi_aux)==0);   
pub_oi_aux = pub_o(:,i);
pub_oi = pub_oi_aux(isnan(pub_oi_aux)==0);   
period_oi_aux = period_o(:,i);
period_oi = period_oi_aux(isnan(lodds_oi_aux)==0);  
size_o = length(lodds_oi);

lodds_pi_aux = lodds_p(:,i);
lodds_pi = lodds_pi_aux(isnan(lodds_pi_aux)==0);        
spend_pi_aux = spend_p(:,i);
spend_pi = spend_pi_aux(isnan(spend_pi_aux)==0);   
pub_pi_aux = pub_p(:,i);
pub_pi = pub_pi_aux(isnan(pub_pi_aux)==0);   
period_pi_aux = period_p(:,i);
period_pi = period_pi_aux(isnan(lodds_pi_aux)==0);  
size_p = length(lodds_pi);
size = size_o + size_p; 

% % This part fixes the prices
if altprice == 1
adv_share_aux_o = exp(lodds_oi)./(1+exp(lodds_oi));
adv_share_aux_p = exp(lodds_pi)./(1+exp(lodds_pi));

% connect_spend_o = price_pri*adv_share_aux_o.*spend_oi.*(pub_oi==0)+...
%                       price_pub*adv_share_aux_o.*spend_oi.*(pub_oi==1);
connect_spend_o = price_pri*adv_share_aux_o.*spend_oi.*(pub_oi==0)+...
                     price_pri*adv_share_aux_o.*spend_oi.*(pub_oi==1).*(period_oi~=3)+...
                     price_pub*adv_share_aux_o.*spend_oi.*(pub_oi==1).*(period_oi==3);                                    
% connect_spend_p = price_pri*adv_share_aux_p.*spend_pi.*(pub_pi==0)+...
%                       price_pub*adv_share_aux_p.*spend_pi.*(pub_pi==1);
connect_spend_p = price_pri*adv_share_aux_p.*spend_pi.*(pub_pi==0)+...
                      price_pri*adv_share_aux_p.*spend_pi.*(pub_pi==1).*(period_pi==2)+...
                      price_pub*adv_share_aux_p.*spend_pi.*(pub_pi==1).*(period_pi==1);
      
unconnect_spend_o = price_pri*(1-adv_share_aux_o).*spend_oi;
unconnect_spend_p = price_pri*(1-adv_share_aux_p).*spend_pi;                  

spend_orig_oi = spend_oi;
spend_orig_pi = spend_pi;
spend_oi = connect_spend_o + unconnect_spend_o;
spend_pi = connect_spend_p + unconnect_spend_p;

adv_share_o = connect_spend_o./spend_oi;
adv_share_p = connect_spend_p./spend_pi;

lodds_oi = log(adv_share_o./(1-adv_share_o));
lodds_pi = log(adv_share_p./(1-adv_share_p));


end
% % This is the end of price fixing

lodds_i = [lodds_oi;lodds_pi];

weight = [spend_oi./sum(spend_oi);spend_pi./sum(spend_pi)];    
W_1st = diag(weight); 

s_diff_o = [(period_oi==1),(period_oi==2),(period_oi==3)]*s_emp(1:3,3); 
s_diff_p = [(period_pi==1),(period_pi==2)]*s_emp(4:5,3);
s_diff = [s_diff_o;s_diff_p];    

s_pub_o = [(period_oi==1),(period_oi==2),(period_oi==3)]*s_emp(1:3,1).*pub_oi;
s_pub_p = [(period_pi==1),zeros(size_p,1)]*s_emp(4:5,1).*pub_pi;
s_pub = [s_pub_o;s_pub_p];
      
X = [[ones(size_o,1);zeros(size_p,1)],[zeros(size_o,1);ones(size_p,1)],[pub_oi;zeros(size_p,1)],...
    [zeros(size_o,1);pub_pi],s_diff,s_pub];
stage1 = inv(X'*W_1st*X)*X'*W_1st*lodds_i;
lalpha_res = lodds_i-X*stage1;
lalpha_reso = lalpha_res(1:size_o,1);
lalpha_resp = lalpha_res(size_o+1:size_o+size_p,1);

sigma_sqnu = var(sqrt([spend_oi;spend_pi]).*lalpha_res);

var_nu_o = var(lalpha_reso);
var_nu_p = var(lalpha_resp);
var_nu = var(lalpha_res);


size_cont_o1 = sum((period_cont_o(:,i)==1));
size_cont_o2 = sum((period_cont_o(:,i)==2));
size_cont_o3 = sum((period_cont_o(:,i)==3));

size_cont_p1 = sum((period_cont_p(:,i)==1));
size_cont_p2 = sum((period_cont_p(:,i)==2));

dalpha_simo_aux = zeros(size_o1,M);
dalpha_simp_aux = zeros(size_p1,M);
ddalpha_simo_aux = zeros(size_o1,M);
ddalpha_simp_aux = zeros(size_p1,M);

alpha_o = stage1(1,1);
alpha_p = stage1(2,1);
theta_o = stage1(3,1);
theta_p = stage1(4,1);
gamma = stage1(5,1);
delta = stage1(6,1);

for j=1:M
lalpha_ressim = sqrt(sigma_sqnu)*(1./sqrt(spend1)).*[lalpha_resrando(:,j);lalpha_resrandp(:,j)];

s_diff_o1 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_emp(1:3,3); 
s_diff_p1 = [(period_p1==1),(period_p1==2)]*s_emp(4:5,3);
s_pub_o1 = [(period_o1==1),(period_o1==2),(period_o1==3)]*s_emp(1:3,1).*pub_o1;
s_pub_p1 = [(period_p1==1),zeros(size_p1,1)]*s_emp(4:5,1).*pub_p1;

lalpha_simo = alpha_o*ones(size_o1,1) + gamma*s_diff_o1 + theta_o*pub_o1 + delta*s_pub_o1 + lalpha_ressim(1:size_o1,1);
lalpha_simp = alpha_p*ones(size_p1,1) + gamma*s_diff_p1 + theta_p*pub_p1 + delta*s_pub_p1 + lalpha_ressim(size_o1+1:size_o1+size_p1,1);

alpha_simo = exp(lalpha_simo)./(ones(size_o1,1)+exp(lalpha_simo));
alpha_simp = exp(lalpha_simp)./(ones(size_p1,1)+exp(lalpha_simp));

dalpha_simo_aux(:,j) = alpha_simo.*(ones(size_o1,1)-alpha_simo);
dalpha_simp_aux(:,j) = alpha_simp.*(ones(size_p1,1)-alpha_simp);

ddalpha_simo_aux(:,j) = alpha_simo.*(ones(size_o1,1)-alpha_simo).*(ones(size_o1,1)-2*alpha_simo);
ddalpha_simp_aux(:,j) = alpha_simp.*(ones(size_p1,1)-alpha_simp).*(ones(size_p1,1)-2*alpha_simp);

end
dalpha_simo_all = mean(dalpha_simo_aux,2).*spend_o1;
dalpha_simo = dalpha_simo_all.*pub_o1;
ddalpha_simo = mean(ddalpha_simo_aux,2).*spend_o1.*pub_o1;

dalpha_simp_all = mean(dalpha_simp_aux,2).*spend_p1;
dalpha_simp = dalpha_simp_all.*pub_p1;
ddalpha_simp = mean(ddalpha_simp_aux,2).*spend_p1.*pub_p1;

dmps = [(5.28*10^-11)*delta*[(period_cont_o(:,i)==1),(period_cont_o(:,i)==2),(period_cont_o(:,i)==3)]*...
    [sum(ddalpha_simo(period_o1==1));sum(ddalpha_simo(period_o1==2));sum(ddalpha_simo(period_o1==3))];...
     (1.75*10^-10)*delta*[(period_cont_p(:,i)==1),zeros(size_cont_p,1)]*...
    [sum(ddalpha_simp(period_p1==1));sum(ddalpha_simp(period_p1==2))]];
    
mps = [(5.28*10^-11)*delta*[(period_cont_o(:,i)==1),(period_cont_o(:,i)==2),(period_cont_o(:,i)==3)]*...
    [sum(dalpha_simo(period_o1==1));sum(dalpha_simo(period_o1==2));sum(dalpha_simo(period_o1==3))];...
     (1.75*10^-10)*delta*[(period_cont_p(:,i)==1),zeros(size_cont_p,1)]*...
    [sum(dalpha_simp(period_p1==1));sum(dalpha_simp(period_p1==2))]];
if altmod == 0
Z = [[(period_cont_o(:,i)~=3);zeros(size_cont_p,1)],[(period_cont_o(:,i)==3);zeros(size_cont_p,1)],...
   [zeros(size_cont_o,1);ones(size_cont_p,1)],mps];
else
% Alternative specification with s_hat_p2~=s_hat_p1 
Z = [[(period_cont_o(:,i)~=3);zeros(size_cont_p,1)],[(period_cont_o(:,i)==3);zeros(size_cont_p,1)],...
      [zeros(size_cont_o,1);(period_cont_p(:,i)==1)],[zeros(size_cont_o,1);(period_cont_p(:,i)==2)],mps];
end
stage2 = inv(Z'*Z)*Z'*slant_diff(:,i);
xi = slant_diff(:,i)-Z*stage2;
sigma_sqxi = var(xi);

beta = stage2(par_num-23-altmod,1);

s_hat_r = [s_emp(1:3,1)-beta*(5.28*10^-11)*(delta*[sum(dalpha_simo(period_o1==1));sum(dalpha_simo(period_o1==2));sum(dalpha_simo(period_o1==3))]...
    +gamma*[sum(dalpha_simo_all(period_o1==1));sum(dalpha_simo_all(period_o1==2));sum(dalpha_simo_all(period_o1==3))]);...
    s_emp(4:5,1)-beta*(1.75*10^-10)*(delta* [sum(dalpha_simp(period_p1==1));sum(dalpha_simp(period_p1==2))]...
    +gamma*[sum(dalpha_simp_all(period_p1==1));sum(dalpha_simp_all(period_p1==2))])];


x0bar = [stage2;s_hat_r;log(sigma_sqxi)];
stage2_gmm = gmm_pooled(x0bar,altmod,alpha_o,alpha_p,theta_o,theta_p,gamma,delta,sigma_sqnu,...
    lalpha_resrando,lalpha_resrandp,xi_resrando1,xi_resrando2,xi_resrandor,xi_resrandp1,xi_resrandp2,xi_resrandpr,...
    size_cont_o1,size_cont_o2,size_cont_o3,size_cont_p1,size_cont_p2,spend_o1,spend_p1,...
    pub_o1,pub_p1,period_o1,period_p1,slant_own(:,i),slant_other(:,i),...
    period_cont_o(:,i),period_cont_p(:,i));
%diff_origo = stage2_gmm(2,1)-stage2_gmm(1,1);

solution(i,:) = [stage1;sigma_sqnu;stage2;s_hat_r;log(sigma_sqxi);stage2_gmm];
end

solution_av = mean(solution(2:N+1,:),1);
solution_se = zeros(par_num,1);
ci = zeros(par_num,2);
for i=1:par_num
solution_aux = solution(2:N+1,i);
solution_aux = solution_aux(isnan(solution_aux)==0);
solution_se(i,1) = sqrt(var(solution_aux));
ci(i,:) = [quantile(solution(2:N+1,i),0.025),quantile(solution(2:N+1,i),0.975)];
end
solution_2step = [solution(1,:)',solution_se,ci];
toc
if altmod ==0 
    column3 = [[solution_2step(6,1),NaN];...
           solution_2step(6,3:4);...
           [solution_2step(5,1),NaN];...
           solution_2step(5,3:4);...
           [solution_2step(21,1),NaN];...
           solution_2step(21,3:4);...
           [solution_2step(18,1),NaN];...
           solution_2step(18,3:4);...
           [solution_2step(19,1),NaN];...
           solution_2step(19,3:4);...
           [solution_2step(20,1),NaN];...
           solution_2step(20,3:4);...
           NaN(2,2)];
       if altref == 0 && altprice ==0       
       save(path_mc3)
       elseif altref ==1
       save(path_ar3)
       elseif altprice == 1
       save(path_ap3)
       end   
       clearvars -except column1 column2 column3 altref altprice
else
    column4 = [[solution_2step(6,1),NaN];...
           solution_2step(6,3:4);...
           [solution_2step(5,1),NaN];...
           solution_2step(5,3:4);...
           [solution_2step(23,1),NaN];...
           solution_2step(23,3:4);...
           [solution_2step(19,1),NaN];...
           solution_2step(19,3:4);...
           [solution_2step(20,1),NaN];...
           solution_2step(20,3:4);
           [solution_2step(21,1),NaN];...
           solution_2step(21,3:4);
           [solution_2step(22,1),NaN];...
           solution_2step(22,3:4)];
       if altref == 0 && altprice ==0      
       save(path_mc4)
       elseif altref ==1
       save(path_ar4)
       elseif altprice == 1
       save(path_ap4)
       end   
       clearvars -except column1 column2 column3 column4 altref altprice
end
