fprintf(2, 'Master c - Estimations - running\n')
clear
rng(083018)
matlabpool

%% Part I - Estimation of column 1 for table 1
altref = 0;
altprice = 0;
maintable_col1 % Estimates column 1
fprintf(2, 'Table 1 column 1 written\n')

%% Part II - Simulations

clear
decomp_table % Simulation of the effect decomposition table
fprintf(2, 'Decomp table written\n')
clear
investor_objective % % Simulation of investor objective functions
fprintf(2, 'Investor objective written\n')
clear
budget_simulation
fprintf(2, 'Budget simulation written\n')
clear
bothcap_sim %  % Simulation of both outlet captured counterfactual
fprintf(2, 'Both outlet captured counterfactual written\n')

%% Part III - Estimation of column 3 for table 2

clear
altref = 1;
altprice = 0;
altmod = 0;
maintable_col3_4 % Estimates column 3
fprintf(2, 'Table 2 column 3 written\n')

%% Part IV - Estimation of column 1 for table 3

clear
altref = 0;
altprice = 1;
maintable_col1 % Estimates column 1
fprintf(2, 'Table 3 column 1 written\n')

fprintf(2, 'Master c - Estimations - finished\n')
