function[s,fval]=nslant_print(x0,allper,alpha,theta,gamma,delta,sigma_sqnu,s_hat1,beta,s_hat2,sigma_sqxi,lalpha_resrandp,...
    xi_resrandp1,xi_resrandp2,xi_resrandpr,size_cont1,size_cont2,spend,pub,period)

[s,fval] = fsolve(@foc,x0);
%[s,fval] = fminunc(@foc,x0);

function[y]=foc(x)
size = length(period);   
size1 = length(period(period==1));
size2 = length(period(period==2));
M = length(lalpha_resrandp(1,:));
alpha_spend_aux = zeros(size,M);

for j = 1:M
xi_resrandp1_aug = xi_resrandp1 - xi_resrandpr;
xi_resrandp2_aug = xi_resrandp2 - xi_resrandpr;

xi_res = sqrt(sigma_sqxi/2)*[mean(xi_resrandp1_aug(1:size_cont1,j));mean(xi_resrandp1_aug(1+size_cont1:size_cont1+size_cont2,j));...
          mean(xi_resrandp2_aug(1:size_cont1,j));mean(xi_resrandp2_aug(1+size_cont1:size_cont1+size_cont2,j))];

slant1 = [(x(1)+xi_res(1))*ones(size1,1);(x(2)+xi_res(2))*ones(size2,1)];
slant2 = [(x(3)+xi_res(3))*ones(size1,1);(x(4)+xi_res(4))*ones(size2,1)];

lalpha_res = sqrt(sigma_sqnu)*(1./sqrt(spend)).*lalpha_resrandp(:,j);
lalpha = alpha*ones(size,1) + gamma*(slant1-slant2) + theta*pub + delta*pub.*slant1 + lalpha_res;
a = exp(lalpha)./(ones(size,1)+exp(lalpha));
alpha_spend_aux(:,j) = a.*(ones(size,1)-a);
end

alpha_spend_j = mean(alpha_spend_aux,2).*spend;
alpha_G_spend_j = alpha_spend_j.*pub;

alpha_spend = [sum(alpha_spend_j(period==1));...
                 sum(alpha_spend_j(period==2))];

alpha_G_spend = [sum(alpha_G_spend_j(period==1));...
                 sum(alpha_G_spend_j(period==2))];
             
if allper==0
%     y = [s_hat + beta*5.28*(10^-8)*[delta;0].*alpha_G_spend-x(1:2,1);...
%     s_hat_r + beta*5.28*(10^-8)*([delta;0].*alpha_G_spend+gamma*alpha_spend)-x(3:4,1)];
    y = [s_hat1 + beta*1.75*(10^-10)*([delta;0].*alpha_G_spend+gamma*alpha_spend)-x(1:2,1);...
         s_hat2 + beta*1.75*(10^-10)*gamma*alpha_spend-x(3:4,1)];
else
%     y = [s_hat + beta*5.28*(10^-8)*delta*alpha_G_spend-x(1:2,1);...
%     s_hat2 + beta*5.28*(10^-8)*(delta*alpha_G_spend+gamma*alpha_spend)-x(3:4,1)];
    y = [s_hat1 + beta*1.75*(10^-10)*(delta*alpha_G_spend+gamma*alpha_spend)-x(1:2,1);...
         s_hat2 + beta*1.75*(10^-10)*gamma*alpha_spend-x(3:4,1)];
end
end
end